# Spice.ai v0.1.0-alpha.5

Announcing the release of Spice.ai v0.1.0-alpha.5! 🎉

This release focused on preparation for the public launch of the project, including more comprehensive and easier-to-understand documentation, quickstarts and samples.

**Data Connectors** and **Data Processors** have now been moved to their own repository [`spiceai/data-components-contrib`](https://github.com/spiceai/data-components-contrib)

To better improve the developer experience, the following breaking changes have been made:

- The pods directory `.spice/pods` (and thus manifests) and the config file `.spice/config.yaml` have been moved from the `./spice` directory to the app root `./`. This allows for the `.spice` directory to be added to the `.gitignore` and for the manifest changes to be easily tracked in the project.
- **Flights** have been renamed to more understandable **Training Runs** in user interfaces.

## New in this release

- **Adds** Open source acknowledgements to the dashboard
- **Adds** improved error messages for several scenarios
- **Updates** all [Quickstarts](https://github.com/spiceai/quickstarts) and [Samples](https://github.com/spiceai/samples) to be clearer, easier to understand and better show the value of Spice.ai. The `LogPruner` sample has also been renamed `ServerOps`
- **Updates** the dashboard to show a message when no pods have been trained
- **Updates** all documentation links to [docs.spiceai.org](https://docs.spiceai.org)
- **Updates** to use Python 3.8.12
- **Fixes** bug where the dashboards showed `undefined` episode number
- **Fixes** issue where the manifest.json was not being served to the React app
- **Fixes** the config.yaml being written when not required
- **Removes** the ability to load a custom dashboard - this may come back in a future release

## Breaking changes

- **Changes** `.spice/pods` is now located at `./spicepods`
- **Changes** `.spice/config.yaml` is now located at `.spice.config.yaml`
